Skip to content
GET

Get details of an HPP session

https://api.kustom.co/hpp/v1/sessions/{session_id}

Use this API to read an HPP session content and it’s status. Read more on Read HPP session.

Parameters1 field
  • session_idstringrequiredin path

    HPP session id

200
Response28 fields

Session found

  • authorization_tokenstringoptional

    Authorization token (only for KP Sessions)

  • customerobjectoptional
    5 fields in customer
    • date_of_birthstringoptional

      Customer’s date of birth (YYYY-MM-dd)

    • family_namestringoptional

      Customer’s family name

    • given_namestringoptional

      Customer’s given name

    • national_identification_numberstringoptional

      Customer’s national identity number

    • titlestringoptional

      Customer’s title

  • expires_atstring · date-timeoptional

    Session expiration time

  • klarna_referencestringoptional

    Kustom reference provided by MoOD

  • manual_identificationobjectoptional
    14 fields in manual_identification
    • challengestringoptional

      Identification challenge

    • customerobjectoptional
      5 fields in customer
      • date_of_birthstringoptional

        Customer’s date of birth (YYYY-MM-dd)

      • family_namestringoptional

        Customer’s family name

      • given_namestringoptional

        Customer’s given name

      • national_identification_numberstringoptional

        Customer’s national identity number

      • titlestringoptional

        Customer’s title

    • customer_obfuscatedobjectoptional
      5 fields in customer_obfuscated
      • date_of_birthstringoptional

        Customer’s date of birth (YYYY-MM-dd)

      • family_namestringoptional

        Customer’s family name

      • given_namestringoptional

        Customer’s given name

      • national_identification_numberstringoptional

        Customer’s national identity number

      • titlestringoptional

        Customer’s title

    • expires_atstring · date-timeoptional

      Session identification expiry time (YYYY-MM-ddThh:mm:ss.fffZ)

  • order_idstringoptional

    Order id of the payment session

  • session_idstringoptional

    The id of the HPP Session

  • statusstringoptional

    Current HPP Session status

    • WAITING
    • BACK
    • IN_PROGRESS
    • MANUAL_ID_CHECK
    • COMPLETED
    • CANCELLED
    • FAILED
    • DISABLED
    • ERROR
  • updated_atstring · date-timeoptional

    Latest status update time

401
Response0 fields

Unauthorized

No response body — this status returns headers only.

403
Response0 fields

You were not authorized to execute this operation.

No response body — this status returns headers only.

404
Response0 fields

HPP session has expired or could not be found by provided id.

No response body — this status returns headers only.

This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.